libmyodbc missing in 16.04

Bug #1591086 reported by Pete Kirkham on 2016-06-10
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
asterisk (Ubuntu)
Medium
Unassigned

Bug Description

I'm trying to use asterisk 13.7 which needs libmyodbc.so

I can't install it:
sudo apt-get install libmyodbc
[sudo] Mot de passe de pete :
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Aucune version du paquet libmyodbc n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: ubuntu-release-upgrader-core 1:16.04.14
ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: Unity
Date: Fri Jun 10 10:36:32 2016
InstallationDate: Installed on 2013-08-19 (1025 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
JournalErrors:
 Error: command ['journalctl', '-b', '--priority=warning', '--lines=1000'] failed with exit code 1: Hint: You are currently not seeing messages from other users and the system.
       Users in the 'systemd-journal' group can see all messages. Pass -q to
       turn off this notice.
 No journal files were opened due to insufficient permissions.
PackageArchitecture: all
SourcePackage: ubuntu-release-upgrader
Symptom: dist-upgrade
UpgradeStatus: Upgraded to xenial on 2016-06-05 (4 days ago)
VarLogDistupgradeApttermlog: Error: [Errno 13] Permission non accordée: '/var/log/dist-upgrade/apt-term.log'
VarLogDistupgradeTermlog:

Pete Kirkham (pete-kirkham-f) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Confirmed
Pete Kirkham (pete-kirkham-f) wrote :

I have tried to resolve the problem by taking the source files from the Oracle mySQL site and compiling them. Then installing the .so file. The error messages disappear but asterisk seem to be unstable and frequently crashes.

affects: ubuntu-release-upgrader (Ubuntu) → asterisk (Ubuntu)
Changed in asterisk (Ubuntu):
importance: Undecided → Medium

I have asked the maintainer of libmyodbc to comment in this report.

Fournier Erwan (erwan.me) wrote :

Any news on this issue ?

I've tried with precompiled from MySQL (http://dev.mysql.com/downloads/connector/odbc/) but none of them seems to connect...

1:13.1.0~dfsg-1.1ubuntu as in Xenial doesn't need libmyodbc.
So you can install and use it as-is.

Is that about a specific extra feature that is not packaged?

Jacob Kiers (jacobkiers) wrote :

Christian, ODBC connections from Asterisk to MySQL do not work because the libmyodbc package is missing.

Same issue here, trying to deploy FreePBX on Ubuntu Server and find that there is no libmyodbc package anymore. Which issues upstream need to resolve to get this packaged and where is link to bugreports about this issues?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers